# Aras Cost Utilities

- If youd like to support this Mod, please consider donating to my Ko-Fi at this Url: https://ko-fi.com/arackulele


- Currently adds the Prism Mox Cost and Overcharge Cost with compatibility for Act 1 and Act 2, these are added using an Integer Extension Property so you can have a card cost up to 3 Prism Cost and 6 Overcharge Cost



- How does Prism Cost work?

Prism Cost is just like the other Mox costs, except that it can be paid by any Mox and can go up to 3 instead of just 1

Prism Cost works with other Mox Costs ( for example, a card that Costs 1 Emerald Gem and 1 Prism will require an Emerald Mox and a second Mox of any Type to be placed down )



- How does Overcharge Cost work?

Overcharge Cost takes your maximum Energy Cells, not your normal Energy Cells

The maximum Energy will still increase by 1 every Turn until it reaches 6, even after playing an overcharge card

Overcharge works in conjunction with Energy cost ( for example, a card with 2 energy cost and 1 overcharge cost will empty 2 energy cells and after that reduce your max energy by 1, it would not take 3 energy if your entire meter is filled)

Overcahrge can be used on Cards without Energy cost as well, in this case it will only take maximum Cells, so you can play Overcahrge Cards even after emptying your Energy Meter

# How to add the Costs to your Card?

- Costs Enums

Prism: PrismCost ( max amount: 3 )

Overcharge: OverchargeCost ( max amount: 6 )


## JsonLoader:

{

    "extensionProperties": {
            "Cost": "Amount"
        },

}

## CSharp:

C = Any CardInfo

{

    C.SetExtendedProperty("Cost", Amount);

}

# Special thanks to :

Keks, who paid me to make this Mod

# Known Issues:

None

# Update Notes:

- Version 1.2

- Added Overcharge Cost
- Added Textbox descriptions for act 2 if you cant pay the cost of a card
- Fixed Prism Cost when used with other Mox Costs


- Version 1.1

- Made Prism cost more intuitive when used with other mox costs, mox will now only satisfy one cost requierment at a time ( for a card that costs 1 blue and 1 prism Mox, a single blue mox will no longer fulfill both costs at once)

# How to add to the Game

You already know how to do this but ,

Step 1:
Install API, it is a dependency

Step 2:
Put the Artwork folder and .dll file into the plugins folder

Step 3:
You are done

...Or  just use the R2Mod Manager



